网站

注册认证
API 密钥应作为 Bearer token 在请求的 Authorization 头部中发送。 获取您的 API 密钥.
列表

API 端点

GET
https://www.onpageseo.top/api/v1/websites

请求示例

curl --location --request GET 'https://www.onpageseo.top/api/v1/websites' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'

Parameters

名字
类型
描述
search
可选 string
搜索查询.
search_by
可选 string
搜索方式. 可能的值为:域名 的 domain。 默认为:domain。
sort_by
可选 string
排序方式. 可能的值为:创建日期 的 id, 域名 的 domain, 分数 的 reports_avg_score, 报告 的 reports_count。 默认为:id。
sort
可选 string
排序. 可能的值为:降序 的 desc, 升序 的 asc。 默认为:desc。
per_page
可选 integer
每页结果数. 可能的值为:10, 25, 50, 100。 默认为:50。
显示

API 端点

GET
https://www.onpageseo.top/api/v1/websites/{id}

请求示例

curl --location --request GET 'https://www.onpageseo.top/api/v1/websites/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
更新

API 端点

PUT PATCH
https://www.onpageseo.top/api/v1/websites/{id}

请求示例

curl --location --request PUT 'https://www.onpageseo.top/api/v1/websites/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'

Parameters

名字
类型
描述
privacy
可选 integer
隐私. 可能的值为:公开 的 0, 私有 的 1, 密码 的 2。
password
可选 string
密码. 仅在 privacy 字段设置为 2 时有效。
删除

API 端点

DELETE
https://www.onpageseo.top/api/v1/websites/{id}

请求示例

curl --location --request DELETE 'https://www.onpageseo.top/api/v1/websites/{id}' \
--header 'Authorization: Bearer {api_key}'